/// <reference types="node" />
import { IncomingMessage } from "node:http";
export type { IncomingMessage as NodeRequeset };
declare class Headers extends Map<string, string> {
    set(key: string, value: string): this;
    get(key: string): string | undefined;
}
export default class IncomingRequest {
    private _headers;
    private _url;
    private _method;
    constructor(message: IncomingMessage | Request);
    get method(): string;
    get url(): string;
    get headers(): Headers;
}
