/// <reference types="./global.d.ts" />
import OutgoingResponse from "./Context/OutgoingResponse";
import IncomingRequest from "./Context/IncomingRequest";
export type AuthGet = (request: IncomingRequest) => Promise<User | null> | User | null;
export type AuthSet = (response: OutgoingResponse, user: User | null) => Promise<void> | void;
export default class Authorization {
    private _getter;
    private _setter;
    set(value: AuthSet): void;
    set(): AuthSet;
    get(value: AuthGet): void;
    get(): AuthGet;
}
