/** /Engine/Routing/Route.ts
 *
 * @author Alex Malotky
 */
import Context from "../Context";
import Layer, { Middleware } from "./Layer";
export default class Route extends Layer {
    #private;
    constructor(path?: string);
    handle(context: Context): Promise<void>;
    use(middleware: Middleware | Layer): Route;
    use(path: string, handler: Middleware): Route;
    prefix(value: string): void;
}
