/// <reference types="./global.d.ts" />
import Element from "./Element";
type Content = string | number | boolean | null | undefined | Function | Element | Array<Content>;
export default Content;
/** Compress Content
 *
 * @param {Content} content
 * @returns {string}
 */
export declare function compressContent(content: Content): string;
export declare function toUpdate(value: Dictionary<Content> | undefined): Dictionary<string> | undefined;
